1. Workspace
PlusVibe.ai
  • PlusVibe.ai API Documentation
  • Workspace Deep Link Parameter
  • Workspace
    • Get workspaces
      GET
    • Add a new workspace
      POST
    • Copy workspace settings
      POST
  • Campaign
    • Create a new campaign
      POST
    • Create a new subsequence
      POST
    • List campaigns (deprecated)
      GET
    • List all campaigns
      GET
    • Get campaign name
      GET
    • Get campaign status
      GET
    • Get campaign email accounts
      GET
    • Get campaign emails
      GET
    • Get campaign variation stats
      GET
    • Set campaign name
      POST
    • Set campaign Schedules (deprecated)
      POST
    • Activate campaign
      POST
    • Pause campaign
      POST
    • Update Campaign
      PATCH
    • Delete or archive a campaign
      DELETE
  • Lead
    • Add leads to a campaign
      POST
    • Add leads to a subsequence campaign
      POST
    • Get or search for lead
      GET
    • Delete leads from a campaign
      POST
    • Lead Variable/Label Update or Add
      POST
    • Fetch workspace leads
      GET
    • Update the status of a lead
      POST
    • Get lead counts by status
      GET
  • Email Account
    • List all email accounts in the workspace
    • Get email account status
    • Check account vitals
    • Enable Email account warmup
    • Pause Email account warmup
    • Delete Email account
    • Get Warmup Stats (Individual Account)
    • Get Warmup Stats (Workspace-Level)
    • Bulk Add SMTP Accounts
    • Bulk Update Email Accounts
    • Bulk Update Email Account Warmup Status
    • Bulk Assign/Remove Tags from Email Accounts
    • Bulk reconnect email accounts
  • Analytics
    • Get campaign summary
    • Get campaign count (deprecated)
    • Get campaign stats
    • Get all campaigns statistics
  • Unibox
    • Get emails
    • Get emails in Others folder
    • Get count of unread emails
    • Reply to an email
    • Forward an existing email
    • Compose New Email
    • Mark Email Read
    • Save Email as Draft
    • Delete an Entire Email Thread
    • Delete a Single Email Message
  • Blocklist
    • Get entries in the blocklist
    • Adds entries to the blocklist
    • Delete entries in the blocklist
  • Webhook
    • PlusVibe Webhook Overview
    • Sample Payload - FIRST_EMAIL_REPLIES, ALL_EMAIL_REPLIES, ALL_POSITIVE_REPLIES
    • Sample Payload - LEAD_MARKED_AS_INTERESTED
    • Sample Payload - EMAIL_SENT
    • Sample Payload - BOUNCED_EMAIL
    • Add a new webhook
    • List webhooks
    • Delete webhook(s)
  • Tags
    • List Tags
    • Create a New Tag
    • Update an Existing Tag
    • Delete Multiple Tags
  • Client Access
    • Create client
    • Edit client
    • Update client status
    • List clients
    • Delete client
  • Email Placement Test
    • Parent Recurring Test
      • Create a new parent test (recurring test)
      • Update a parent test
      • List all parent tests
      • Get parent test details
      • Delete parent test(s)
      • Duplicate a parent test
    • Child (Test Run) Test
      • List child (Test Run) tests
      • Get child test details
    • Results & Analytics
      • Get test summary
      • Get detailed test statistics
      • Get test result for a sender account
    • Get recipient providers
  • For Email Infra Provider Partner
    • List workspaces
    • List all email accounts in the workspace
    • Initiate Google OAuth login flow
    • Initiate Microsoft OAuth login flow
    • Bulk Add SMTP Accounts (via Username and Password)
  • Schemas
    • Schemas
      • ScheduleV2
      • EmailAccountId
      • ObjectId
      • DeleteCampaignRequest
      • SequenceStep
      • BulkReconnectRequest
      • HexColor
      • TagAction
      • WarmupStatus
      • CreateTagRequest
      • BulkTagAssignmentRequest
      • Campaign
      • Variation
      • BulkUpdateWarmupRequest
      • UpdateTagRequest
      • DeleteTagsRequest
    • CopyWorkspaceRequest
    • VariationStepStats
    • ParentTest
    • ClientWorkspacePermission
    • ResourceType
    • VariationStats
    • ParentTestDetail
    • CreateClientRequest
    • CreateClientResponse
    • CopyWorkspaceResponse
    • ChildTest
    • UpdateClientRequest
    • SuccessResponse
    • ChildTestDetail
    • ErrorResponse
    • ClientListItem
    • PatchClientStatusRequest
    • GenericSuccessResponse
  1. Workspace

Copy workspace settings

POST
https://api.plusvibe.ai/api/v1/workspaces/copy
Duplicates selected settings and configurations from a source workspace to a destination workspace.
This endpoint allows you to copy various resources including tags, labels, custom fields, webhooks,
members, and other workspace-specific settings.
Important Notes:
Both source and destination workspaces must belong to the workspace owner
Please use your Account API key (instead of Workspace API key) as access permission to both workspaces is required
⚠️ DUPLICATE BEHAVIOR WARNING:
Calling this endpoint multiple times with the same destination workspace may create duplicates on resources.
To avoid duplicates, only call this endpoint ONCE per destination workspace, or manually clean up duplicate entries (tags, labels, blocklist, webhooks) before running the copy operation again.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Workspace settings copied successfully
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api.plusvibe.ai/api/v1/workspaces/copy' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "workspace_id": "507f1f77bcf86cd799439011",
    "src_ws_id": "507f1f77bcf86cd799439011",
    "dest_ws_id": "507f191e810c19729de860ea",
    "resources": [
        "TAGS",
        "LABELS",
        "WORKSPACE_FIELDS"
    ]
}'
Response Response Example
200 - Successful copy operation
{
    "status": "Success",
    "tags_copied": 5,
    "labels_copied": 8,
    "ailabels_copied": 3,
    "pos_reply_email_copied": 1,
    "self_cat_prompt_copied": 1,
    "wsfields_copied": 4,
    "hooks_copied": 2,
    "members_copied": 3,
    "untrack_replied_copied": 1,
    "googlesheet_blocklist_url": 1,
    "camp_set_profiles_copied": 2
}
Modified at 2026-04-13 14:57:28
Previous
Add a new workspace
Next
Create a new campaign
Built with